Bug 130640 - mkinitrd create invalid initrd image
mkinitrd create invalid initrd image
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-23 06:05 EDT by Tomo Vuckovic
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 16:14:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
this is initrd created with mkinitrd 4.1 (625.44 KB, text/plain)
2004-08-25 02:30 EDT, Tomo Vuckovic
no flags Details
this is initrd created with mkinitrd 4.1 (625.44 KB, application/octet-stream)
2004-08-25 02:34 EDT, Tomo Vuckovic
no flags Details

  None (edit)
Description Tomo Vuckovic 2004-08-23 06:05:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040820

Description of problem:
When I upgrade or install new kernel initrd is invalid.

Version-Release number of selected component (if applicable):
mkinitrd-4.1.1-1

How reproducible:
Always

Steps to Reproduce:
1. Install or upgrade kerrnel 2.6.8-1.526
2. mkinitrd create invalid initrd
3. kernel not boot
    

Additional info:

invalid kernel parameter LABEL=/boot
Comment 1 Jeremy Katz 2004-08-24 14:22:44 EDT
Can you provide your grub.conf?  Also, attaching an initrd could be
helpful for me to see what it's actually doing.
Comment 2 Tomo Vuckovic 2004-08-25 02:30:40 EDT
Created attachment 103050 [details]
this is initrd created with mkinitrd 4.1
Comment 3 Tomo Vuckovic 2004-08-25 02:34:49 EDT
Created attachment 103051 [details]
this is initrd created with mkinitrd 4.1
Comment 4 Jeremy Katz 2004-08-25 11:30:40 EDT
The initrd itself looks fairly sane.  What is in your grub.conf?
Comment 5 Jukka Ketelaars 2004-09-04 03:18:10 EDT
I have the same (or at least very similar) problem with
mkinitrd-4.1.9-1. The generated initrd files are three times bigger
then they used to be. When I try to mount the ungzipped initrd file as
a loopback device I get:

mount: wrong fs type, bad option, bad superblock on /dev/loop0,
       or too many mounted file systems
       (could this be the IDE device where you in fact use
       ide-scsi so that sr0 or sda or so is needed?)

I donwloaded Tomo's initrd file and get the same error with that.
Comment 6 Jukka Ketelaars 2004-09-04 08:37:43 EDT
My problem seems to have been in gawk as described in Bug 131498.
After downgrading to gawk 3.1.3 I'm able to boot. The bigger initrd
size is apparently because mkinitrd now creates it with cpio. 

At one point the error messages changed from mount and label problems
to unknown symbols (e.g. journal_force_commit) which pointed to a
missing jbd. The switch probably occured when I updated to
initscripts-7.77-1 at which point Bug 131450 was resolved and Bug
131498 became apparent.
Comment 7 Jeremy Katz 2004-10-04 16:14:13 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.